WordPress
Enable or disable auto-update for a plugin
POST
Permission: wp.updates
apiTokenheader
AuthorizationBearer <token>An API token (mwp_…) from Settings → API tokens. Only accepted on this host.
site_id*Site IdFormat
uuidapplication/json- body
slug?|Plugin file path, e.g. akismet/akismet.php
all?AllApply to every installed plugin
Default
falseenabled*EnabledSuccessful Response
application/json- response
success*booleandata*New auto-update state for one plugin/theme or all of them.
message*stringstatus_code*integertimestamp*stringFormat
date-timemeta?|nullcurl -X POST "https://example.com/v1/sites/497f6eca-6276-4993-bfeb-53cbbbba6f08/wp/plugins/auto-update" \ -H "Content-Type: application/json" \ -d '{ "enabled": true }'{ "message": "string", "status_code": 0, "timestamp": "2019-08-24T14:15:22Z", "meta": {}, "success": true, "data": { "slug": null, "all": true, "auto_update": true }}